# List ramp metrics by order number Note: This operation is only available if you have the Ramps feature enabled. The Orders feature must be enabled before you can access the Ramps feature. The Ramps feature is available for customers with Enterprise and Nine editions by default. If you are a Growth customer, see Zuora Editions for pricing information coming October 2020. Retrieves key ramp metrics about a specified order, including the following metrics: * TCB, TCV in the Ramp level * TCB, TCV in the Interval level * TCB, TCV, Quantity, and MRR in Interval Metrics * Delta TCB, Delta TCV, Delta Quantity, and Delta MRR in Interval Delta Metrics See Key metrics for Ramps for more information. Endpoint: GET /v1/orders/{orderNumber}/ramp-metrics Version: 2026-02-20 Security: bearerAuth ## Header parameters: - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header. - `Zuora-Org-Ids` (string) Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs. - `Zuora-Version` (string) The minor API version. For a list of available minor versions, see API upgrades. ## Path parameters: - `orderNumber` (string, required) The number of the existing order. ## Response 200 fields (application/json): - `rampMetrics` (array) - `rampMetrics.description` (string) The short description of the ramp. - `rampMetrics.discountTcb` (number) The discount amount for the TCB. - `rampMetrics.discountTcv` (number) The discount amount for the TCV. - `rampMetrics.grossTcb` (number) The gross TCB value before discount charges are applied. - `rampMetrics.grossTcv` (number) The gross TCV value before discount charges are applied. - `rampMetrics.intervals` (array) The ramp metrics for each ramp intervals in its timeline. - `rampMetrics.intervals.description` (string) The short description of the interval. - `rampMetrics.intervals.endDate` (string) The end date of the interval. - `rampMetrics.intervals.intervalDeltaMetrics` (array) Container for the delta metrics for each rate plan charge in each ramp interval. The delta is the difference of the subscription metrics between before and after the order. - `rampMetrics.intervals.intervalDeltaMetrics.chargeNumber` (string) The number of the rate plan charge. - `rampMetrics.intervals.intervalDeltaMetrics.deltaDiscountTcb` (number) The discount delta amount for the TCB. - `rampMetrics.intervals.intervalDeltaMetrics.deltaDiscountTcv` (number) The discount delta amount for the TCV. - `rampMetrics.intervals.intervalDeltaMetrics.deltaGrossTcb` (number) The TCB delta value before discount charges are applied. - `rampMetrics.intervals.intervalDeltaMetrics.deltaGrossTcv` (number) The TCV delta value before discount charges are applied. - `rampMetrics.intervals.intervalDeltaMetrics.deltaMrr` (array) The MRR changing history of the current rate plan charge in the current ramp interval. - `rampMetrics.intervals.intervalDeltaMetrics.deltaMrr.discount` (number) The discount delta amount for the MRR. - `rampMetrics.intervals.intervalDeltaMetrics.deltaMrr.endDate` (string) The end date. - `rampMetrics.intervals.intervalDeltaMetrics.deltaMrr.gross` (number) The MRR delta amount before discounts charges are applied. - `rampMetrics.intervals.intervalDeltaMetrics.deltaMrr.net` (number) The MRR delta amount after discounts charges are applied. - `rampMetrics.intervals.intervalDeltaMetrics.deltaMrr.startDate` (string) The start date. - `rampMetrics.intervals.intervalDeltaMetrics.deltaNetTcb` (number) The TCB delta value after discount charges are applied. - `rampMetrics.intervals.intervalDeltaMetrics.deltaNetTcv` (number) The TCV delta value after discount charges are applied. - `rampMetrics.intervals.intervalDeltaMetrics.deltaQuantity` (array) The charge quantity changing history of the current rate plan charge in the current ramp interval. - `rampMetrics.intervals.intervalDeltaMetrics.deltaQuantity.amount` (number) The delta amount of the charge quantity. - `rampMetrics.intervals.intervalDeltaMetrics.productRatePlanChargeId` (string) The ID of the corresponding product rate plan charge. - `rampMetrics.intervals.intervalDeltaMetrics.subscriptionNumber` (string) The number of the subscription that the current rate plan charge belongs to. - `rampMetrics.intervals.intervalMetrics` (array) Container for the detailed metrics for each rate plan charge in each ramp interval. - `rampMetrics.intervals.intervalMetrics.chargeNumber` (string) The number of the charge. - `rampMetrics.intervals.intervalMetrics.endDate` (string) The end date of the rate plan charge in the current ramp interval. - `rampMetrics.intervals.intervalMetrics.mrr` (array) The MRR changing history of the current rate plan charge in the current ramp interval. - `rampMetrics.intervals.intervalMetrics.mrr.discount` (number) The discount amount for the MRR. - `rampMetrics.intervals.intervalMetrics.mrr.gross` (number) The gross MRR amount before discounts charges are applied. - `rampMetrics.intervals.intervalMetrics.mrr.net` (number) The net MRR amount after discounts charges are applied. - `rampMetrics.intervals.intervalMetrics.netTcb` (number) The net TCB value after discount charges are applied. - `rampMetrics.intervals.intervalMetrics.netTcv` (number) The net TCV value after discount charges are applied. - `rampMetrics.intervals.intervalMetrics.quantity` (number) The quantity of the rate plan charge. - `rampMetrics.intervals.intervalMetrics.ratePlanChargeId` (string) The ID of the rate plan charge. - `rampMetrics.intervals.intervalMetrics.startDate` (string) The start date of the rate plan charge in the current ramp interval. - `rampMetrics.intervals.name` (string) The name of the interval. - `rampMetrics.intervals.startDate` (string) The start date of the interval. - `rampMetrics.name` (string) The name of the ramp. - `rampMetrics.number` (string) The number of the ramp. It is automaticcally generated by the billing system. - `processId` (string) The ID of the process that handles the operation. - `reasons` (array) The container of the error code and message. This field is available only if the success field is false. - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response - `requestId` (string) Unique identifier of the request. - `success` (boolean) Indicates whether the call succeeded. ## Response 500 fields (application/json): - `reasons` (array) Example: [{"code":"ObjectNotFound","message":"Notification definition with id 6e569e1e05f040eda51a927b140c0ac1 does not exist"}] - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response ## Response 4XX fields (application/json): - `processId` (string) The ID of the process that handles the operation. - `reasons` (array) The container of the error code and message. This field is available only if the success field is false. - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response - `requestId` (string) Unique identifier of the request. - `success` (boolean) Indicates whether the call succeeded.